std::filesystem::recursive_directory_iterator::recursive_directory_iterator(3)

NAME
std::filesystem::recursive_directory_iterator::recursive_directory_iterator - std::filesystem::recursive_directory_iterator::recursive_directory_iterator

Synopsis
   recursive_directory_iterator() noexcept; (1) (since C++17)
   recursive_directory_iterator( const recursive_directory_iterator& (2) (since C++17)
   rhs );
   recursive_directory_iterator( recursive_directory_iterator&& rhs ) (3) (since C++17)
   noexcept;
   explicit recursive_directory_iterator( const (4) (since C++17)
   std::filesystem::path& p );
   recursive_directory_iterator(
   const std::filesystem::path& p, (4) (since C++17)
   std::filesystem::directory_options options );
   recursive_directory_iterator(
   const std::filesystem::path& p, (5) (since C++17)
   std::filesystem::directory_options options,
   std::error_code& ec );
   recursive_directory_iterator( const std::filesystem::path& p, (6) (since C++17)
   std::error_code& ec );
   Contructs new recursive directory iterator.
   1) Default constructor. Constructs an end iterator.
   2) Copy constructor.
   3) Move constructor.
   4-6) Constructs a iterator that refers to the first entry in the directory that p
   resolves to.
    This section is incomplete
    Reason: errors

Parameters
    This section is incomplete

Exceptions
   The overload that does not take a std::error_code& parameter throws
   filesystem::filesystem_error on underlying OS API errors, constructed with p as the
   first path argument and the OS error code as the error code argument. The overload
   taking a std::error_code& parameter sets it to the OS API error code if an OS API
   call fails, and executes ec.clear() if no errors occur. Any overload not marked
   noexcept may throw std::bad_alloc if memory allocation fails.

Notes
   Recursive directory iterators do not follow directory symlinks by default. To enable
   this behavior, specify directory_options::follow_directory_symlink among the options
   option set.
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 3013 C++17 error_code overload marked noexcept but can noexcept removed
                       allocate memory